com.sun.jna.platform.win32.COM

## Interface IConnectionPoint

All Superinterfaces:
  IUnknown

All Known Implementing Classes:
  ConnectionPoint

    public interface IConnectionPoint
    extends IUnknown

### Field Summary

Fields
`static Guid.IID` `IID_IConnectionPoint`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods

`WinNT.HRESULT`

`Advise(IUnknownCallback pUnkSink, WinDef.DWORDByReference pdwCookie)`
When Advise is called, the called COM object will callback 'QueryInterface' asking for a number of different interfaces, for example: - {00000003-0000-0000-C000-000000000046} - IMarshal - {00000003-0000-0000-C000-000000000046} - {0000001B-0000-0000-C000-000000000046} - IdentityUnmarshal - {00000000-0000-0000-C000-000000000046} - IUnknown - {00000018-0000-0000-C000-000000000046} - IStdMarshalInfo - {00000019-0000-0000-C000-000000000046} - IExternalConnection - {4C1E39E1-E3E3-4296-AA86-EC938D896E92} - (some unknown private interface) - interface of this ConnectionPoint `HRESULT Advise( [in] IUnknown *pUnkSink, [out] DWORD *pdwCookie );`

`WinNT.HRESULT` `GetConnectionInterface(Guid.IID iid)`
`WinNT.HRESULT` `Unadvise(WinDef.DWORD dwCookie)`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Field Detail

#### IID_IConnectionPoint

    static final Guid.IID IID_IConnectionPoint

### Method Detail

#### GetConnectionInterface

    WinNT.HRESULT GetConnectionInterface(Guid.IID iid)

Parameters:
  `iid` -
Returns:
  interface pointer

#### Advise

    WinNT.HRESULT Advise(IUnknownCallback pUnkSink,
                         WinDef.DWORDByReference pdwCookie)

When Advise is called, the called COM object will callback 'QueryInterface' asking for a number of different interfaces, for example: - {00000003-0000-0000-C000-000000000046} - IMarshal - {00000003-0000-0000-C000-000000000046} - {0000001B-0000-0000-C000-000000000046} - IdentityUnmarshal - {00000000-0000-0000-C000-000000000046} - IUnknown - {00000018-0000-0000-C000-000000000046} - IStdMarshalInfo - {00000019-0000-0000-C000-000000000046} - IExternalConnection - {4C1E39E1-E3E3-4296-AA86-EC938D896E92} - (some unknown private interface) - interface of this ConnectionPoint `HRESULT Advise( [in] IUnknown *pUnkSink, [out] DWORD *pdwCookie );`

Parameters:
  `pUnkSink` -
  `pdwCookie` -
Returns:
  status

#### Unadvise

    WinNT.HRESULT Unadvise(WinDef.DWORD dwCookie)

Parameters:
  `dwCookie` -
Returns:
  status

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.